Bug 66215 - update postfix to 2.1.0 release
Summary: update postfix to 2.1.0 release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-03 19:10 UTC by Vick Khera
Modified: 2004-05-12 10:09 UTC (History)
0 users

See Also:


Attachments
file.diff (34.46 KB, patch)
2004-05-03 19:10 UTC, Vick Khera
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vick Khera 2004-05-03 19:10:21 UTC
	

Update postfix port to 2.1.0 release.

Committer: is it possible to have the postfix 2.0.20 port currently in the
tree repo-copied to a new port postfix20 to allow for a longer transition
period for those that need it?  That port could then be marked obsolete and
removed within a few months.  If so, please copy the existing port before
committing this patch.

Also, please remove any zero-length patch files left behind, if any.  Several
were removed during this update.
Comment 1 Vick Khera 2004-05-04 15:01:06 UTC
On May 3, 2004, at 11:22 PM, Xin LI wrote:

> Maintainer, would you please review my patch based on your patch, which
> upgrades postfix to 2.1.1 (just released)?
>

Yeah... that happens to me *every* time I submit a postfix update... :-(

Anyhow, I'll have a patch ready as soon as this one is committed.  If I 
could see just what you updated (ie, a patch based on what you get 
after you apply my 2.1.0 patch) it would be easier to examine.  Thanks.
Comment 2 Pav Lucistnik freebsd_committer 2004-05-04 18:20:24 UTC
State Changed
From-To: open->repocopy

I would like to request a repocopy mail/postfix -> mail/postfix20, 
to keep a 2.0.x branch of postfix around for few more months 
before all people are ready to upgrade to 2.1.x branch. 


Comment 3 Pav Lucistnik freebsd_committer 2004-05-04 18:20:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

I would like to request a repocopy mail/postfix -> mail/postfix20, 
to keep a 2.0.x branch of postfix around for few more months 
before all people are ready to upgrade to 2.1.x branch.
Comment 4 Roman Neuhauser 2004-05-11 20:33:11 UTC
I haven't been following recent postfix developments too closely, but
why this change?

.for file in ${CONF1}
${INSTALL_DATA} ${WRKSRC}/conf/${file} \
-       ${PREFIX}/etc/postfix/sample-${file}
+       ${PREFIX}/etc/postfix/dist-${file}
.endfor

That looks quite gratuitous.

-- 
FreeBSD 4.9-RELEASE-p2
9:30PM up 13:51, 4 users, load averages: 0.00, 0.00, 0.00
Comment 5 Joe Marcus Clarke freebsd_committer 2004-05-12 03:23:03 UTC
State Changed
From-To: repocopy->open

Repo-copy complete. 


Comment 6 Joe Marcus Clarke freebsd_committer 2004-05-12 03:23:03 UTC
Responsible Changed
From-To: portmgr->pav

Repo-copy complete.
Comment 7 Oliver Eikemeier 2004-05-12 09:18:24 UTC
Pav Lucistnik wrote:

> Synopsis: update postfix to 2.1.0 release
> 
> State-Changed-From-To: open->repocopy
> State-Changed-By: pav
> State-Changed-When: Tue May 4 10:20:24 PDT 2004
> State-Changed-Why: 
> I would like to request a repocopy mail/postfix -> mail/postfix20,
> to keep a 2.0.x branch of postfix around for few more months
> before all people are ready to upgrade to 2.1.x branch.

Don't forget to

- adjust CONFLICTS in mail/postfix20
- adjust LATEST_LINK in mail/postfix20 or mail/postfix

while I'm here,

  DISTNAME=       postfix-${PORTVERSION}

seems superfluous to me.

-Oliver
Comment 8 Pav Lucistnik freebsd_committer 2004-05-12 10:08:26 UTC
State Changed
From-To: open->closed

Committed, thank you! Please consider update to 2.1.1 *hint hint*